Ubuntu 11.10 oneiric 64x... cannot upgrade to 4.1.6

Discussions related to using VirtualBox on Linux hosts.

Ubuntu 11.10 oneiric 64x... cannot upgrade to 4.1.6

Postby pma » 9. Nov 2011, 10:43

There's a few issues with the 4.1.6 release in ubuntu 11.10 64x.

1. The update popup box is showing the wrong version... or when pressing check for updates
"A new version of VirtualBox has been released! Version 4.1.6 is available at virtualbox.org.
You can download this version using the link:
http://download.virtualbox.org/virtualb ... 1.6-74713~Ubuntu~natty_amd64.deb"

2. Upon downloading the correct version from virtualbox website:
"virtualbox-4.1_4.1.6-74713~Ubuntu~oneiric_amd64.deb"
When double clicking the deb package the ubuntu software center opens up.
And, after clicking Install the deb package.... nothing happens?
pma
 
Posts: 3
Joined: 9. Nov 2011, 10:33
Primary OS: Ubuntu other
VBox Version: OSE Debian
Guest OSses: win7

Re: Ubuntu 11.10 oneiric 64x... cannot upgrade to 4.1.6

Postby stefan.becker » 9. Nov 2011, 20:44

Install on the commandline (sudo dpkg -i xyz.deb) and post output, if it does not work.
stefan.becker
Volunteer
 
Posts: 7046
Joined: 7. Jun 2007, 21:53

Re: Ubuntu 11.10 oneiric 64x... cannot upgrade to 4.1.6

Postby pma » 10. Nov 2011, 10:27

That worked, there was 1 error during instalation:
* Uninstalling old VirtualBox DKMS kernel modules Error! Could not locate dkms.conf file.
File: does not exist.



dpkg -i virtualbox-4.1_4.1.6-74713~Ubuntu~oneiric_amd64.deb
(Reading database ... 226170 files and directories currently installed.)
Preparing to replace virtualbox-4.1 4.1.4-74291~Ubuntu~natty (using virtualbox-4.1_4.1.6-74713~Ubuntu~oneiric_amd64.deb) ...
dpkg: warning: subprocess old pre-removal script returned error exit status 1
dpkg - trying script from the new package instead ...
* Stopping VirtualBox kernel modules [ OK ]
dpkg: ... it looks like that went OK.
Unpacking replacement virtualbox-4.1 ...
Setting up virtualbox-4.1 (4.1.6-74713~Ubuntu~oneiric) ...
addgroup: The group `vboxusers' already exists as a system group. Exiting.
* Stopping VirtualBox kernel modules [ OK ]
* Uninstalling old VirtualBox DKMS kernel modules Error! Could not locate dkms.conf file.
File: does not exist.
[ OK ]
* Removing old VirtualBox pci kernel module [ OK ]
* Trying to register the VirtualBox kernel modules using DKMS [ OK ]
* Starting VirtualBox kernel modules [ OK ]
Processing triggers for ureadahead ...
ureadahead will be reprofiled on next reboot
Processing triggers for shared-mime-info ...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for hicolor-icon-theme ...
Processing triggers for python-central ...
pma
 
Posts: 3
Joined: 9. Nov 2011, 10:33
Primary OS: Ubuntu other
VBox Version: OSE Debian
Guest OSses: win7

Re: Ubuntu 11.10 oneiric 64x... cannot upgrade to 4.1.6

Postby stefan.becker » 10. Nov 2011, 21:06

dkms is for self compiling vbox modules by the next kernel update.

Without dkms you must do this manually with every update of the kernel.
stefan.becker
Volunteer
 
Posts: 7046
Joined: 7. Jun 2007, 21:53

Re: Ubuntu 11.10 oneiric 64x... cannot upgrade to 4.1.6

Postby pma » 11. Nov 2011, 10:22

My question is... what got broken in 4.1.6 version?
I was able to upgrade vbox since version 3 till 4.1.4, and now it's seems it's not GUI upgradable anymore and because of the missing dkms config file it needs to be manually compiled on every kernel update?
pma
 
Posts: 3
Joined: 9. Nov 2011, 10:33
Primary OS: Ubuntu other
VBox Version: OSE Debian
Guest OSses: win7

Re: Ubuntu 11.10 oneiric 64x... cannot upgrade to 4.1.6

Postby stefan.becker » 11. Nov 2011, 19:34

Nothing is broken. Reinstall or install dkms new on the host.
stefan.becker
Volunteer
 
Posts: 7046
Joined: 7. Jun 2007, 21:53

Re: Ubuntu 11.10 oneiric 64x... cannot upgrade to 4.1.6

Postby Sasquatch » 14. Nov 2011, 00:26

Try the upgrade again. Something went wrong when the new version got released and put on the repo. That's fixed now.
Read the Forum Posting Guide before opening a topic.
VirtualBox FAQ: Check this before asking questions.
Online User Manual: A must read if you want to know what we're talking about.
Howto: Install Linux Guest Additions
Howto: Use Shared Folders on Linux Guest
See the Tutorials and FAQ section at the top of the Forum for more guides.
Try searching the forums first with Google and add the site filter for this forum.
E.g. install guest additions site:forums.virtualbox.org

Retired from this Forum since OSSO introduction.
Sasquatch
Volunteer
 
Posts: 17800
Joined: 17. Mar 2008, 13:41
Location: /dev/random
Primary OS: Debian other
VBox Version: PUEL
Guest OSses: Windows XP, Windows 7, Linux

Re: Ubuntu 11.10 oneiric 64x... cannot upgrade to 4.1.6

Postby liquidblue » 15. Nov 2011, 04:20

:x I have been trying to upgrade from 4.0.12 to latest 4.1.6
it automatically flags me with the correct UBUNUT 10.10 version.

When opened into Software Center it gives me.
Conflicts with the installed package 'virtualbox-4.0'

I also tried the install pkg from terminal:

sudo dpkg -i virtualbox-4.1_4.1.6-74713~Ubuntu~maverick_amd64.deb
[sudo] password for administrator:
Selecting previously deselected package virtualbox-4.1.
dpkg: regarding virtualbox-4.1_4.1.6-74713~Ubuntu~maverick_amd64.deb containing virtualbox-4.1:
virtualbox-4.1 conflicts with virtualbox
virtualbox-4.0 provides virtualbox and is present and installed.
dpkg: error processing virtualbox-4.1_4.1.6-74713~Ubuntu~maverick_amd64.deb (--install):
conflicting packages - not installing virtualbox-4.1
Errors were encountered while processing:
virtualbox-4.1_4.1.6-74713~Ubuntu~maverick_amd64.deb

Any Help?
liquidblue
 
Posts: 2
Joined: 15. Nov 2011, 04:13
Primary OS: Ubuntu other
VBox Version: OSE other
Guest OSses: win2008

Re: Ubuntu 11.10 oneiric 64x... cannot upgrade to 4.1.6

Postby stefan.becker » 15. Nov 2011, 07:13

Delete old version, install new version.
stefan.becker
Volunteer
 
Posts: 7046
Joined: 7. Jun 2007, 21:53

Re: Ubuntu 11.10 oneiric 64x... cannot upgrade to 4.1.6

Postby liquidblue » 17. Nov 2011, 04:47

stefan.becker wrote:Delete old version, install new version.


Can you explain whats the proper way to uninstall... ?
will the VDI still appear in the vbox window once upgrading?
Settings ?
liquidblue
 
Posts: 2
Joined: 15. Nov 2011, 04:13
Primary OS: Ubuntu other
VBox Version: OSE other
Guest OSses: win2008

Re: Ubuntu 11.10 oneiric 64x... cannot upgrade to 4.1.6

Postby montego » 17. Nov 2011, 15:11

I have the same issue of the Software Center coming up after clicking on the downloaded .deb file on Ubuntu 11.10 and having the conflict message. This has NEVER happened in the prior releases and I do have dkms installed. There is also no way to un-install the previous version so that the new version can be installed. Again, this has NEVER happened previously. The download that I am attempting to use is from the link in the constant pop-up message and I have just tried to download/install again this morning.

This is the first upgrade of VB that I have done since upgrading to 11.10, so I suspect there is an issue between the new release installation .deb and 11.10.
montego
 
Posts: 2
Joined: 7. May 2011, 17:00
Primary OS: Ubuntu other
VBox Version: PUEL
Guest OSses: WinXP, Ubuntu 11.04

Re: Ubuntu 11.10 oneiric 64x... cannot upgrade to 4.1.6

Postby Perryg » 18. Nov 2011, 01:15

I build from SVN and compile to a deb package. Since Ubuntu 11.10 I receive this error after the install. VirtualBox works and seems too have no issue but further installs mandate a purge first. I think it really has to do with Ubuntu 11.10 changing things to be able to use the software center, and I know they worked out some changes with the DEVs to make this all happen. Note I can install the same deb package in Ubuntu 11.04 without any issues, so that is why I believe this to be more of an issue with Ubuntu 11.10.

Anyway the removal (purge) is done with dpkg -P virtualbox-4.1 (your guests will not be disturbed - but I tell everyone they should be backing up just in case)

You can either install it with dpkg or if you installed gdebi you can use that.

I am reporting this to bugtracker and see what the DEVs have to say and will post the link here later.
Perryg
Site Moderator
 
Posts: 25959
Joined: 6. Sep 2008, 22:55
Primary OS: Linux other
VBox Version: OSE self-compiled
Guest OSses: *NIX - Other

Re: Ubuntu 11.10 oneiric 64x... cannot upgrade to 4.1.6

Postby Perryg » 18. Nov 2011, 01:44

Perryg
Site Moderator
 
Posts: 25959
Joined: 6. Sep 2008, 22:55
Primary OS: Linux other
VBox Version: OSE self-compiled
Guest OSses: *NIX - Other

Re: Ubuntu 11.10 oneiric 64x... cannot upgrade to 4.1.6

Postby Sasquatch » 23. Nov 2011, 00:07

Just installed 4.1.6 on my Oneiric VM (not completely patched to date) and no problems whatsoever when trying to install through the Software Center.

As for the upgrade from a previous version to a new major release, it is noted in the VirtualBox FAQ on how to proceed. Purge old one, install new one, enjoy.
Read the Forum Posting Guide before opening a topic.
VirtualBox FAQ: Check this before asking questions.
Online User Manual: A must read if you want to know what we're talking about.
Howto: Install Linux Guest Additions
Howto: Use Shared Folders on Linux Guest
See the Tutorials and FAQ section at the top of the Forum for more guides.
Try searching the forums first with Google and add the site filter for this forum.
E.g. install guest additions site:forums.virtualbox.org

Retired from this Forum since OSSO introduction.
Sasquatch
Volunteer
 
Posts: 17800
Joined: 17. Mar 2008, 13:41
Location: /dev/random
Primary OS: Debian other
VBox Version: PUEL
Guest OSses: Windows XP, Windows 7, Linux

Re: Ubuntu 11.10 oneiric 64x... cannot upgrade to 4.1.6

Postby Perryg » 23. Nov 2011, 00:18

I believe this is a host install Sas. Since you have SID now you would not see it.
I have tested this on two different machines and the software center does not work properly and using gdebi installs but immediately says there is a conflict.
Installing it to the guest does not seem to show the error. I too installed to guest and it works even in 12.04.
See the ticket.
Perryg
Site Moderator
 
Posts: 25959
Joined: 6. Sep 2008, 22:55
Primary OS: Linux other
VBox Version: OSE self-compiled
Guest OSses: *NIX - Other

Next

Return to VirtualBox on Linux Hosts

Who is online

Users browsing this forum: Bing [Bot] and 17 guests